module muxdelchain32 ( out, data, clk, reset, cin );


output	[31:0]	out;
output	[1:0]	data;

input		cin;
input		clk;
input		reset;

wire	[63:0]	del 	/* synthesis syn_keep=1 */ ;
wire	[63:0]	pd_D	/* synthesis syn_keep=1 */ ;
wire	[31:0]	pd_R 	/* synthesis syn_keep=1 */;
wire	[1:0]	data_R 	/* synthesis syn_keep=1 */ ;

MUXCY_L muxcy0(.LO( del[0]), .CI(cin),    .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy1(.LO( del[1]), .CI(del[0]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy2(.LO( del[2]), .CI(del[1]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ; 
MUXCY_L muxcy3(.LO( del[3]), .CI(del[2]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy4(.LO( del[4]), .CI(del[3]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy5(.LO( del[5]), .CI(del[4]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy6(.LO( del[6]), .CI(del[5]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy7(.LO( del[7]), .CI(del[6]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;

MUXCY_L muxcy8 (.LO( del[8 ]), .CI(del[7 ]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy9 (.LO( del[9 ]), .CI(del[8 ]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy10(.LO( del[10]), .CI(del[9 ]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy11(.LO( del[11]), .CI(del[10]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy12(.LO( del[12]), .CI(del[11]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy13(.LO( del[13]), .CI(del[12]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy14(.LO( del[14]), .CI(del[13]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy15(.LO( del[15]), .CI(del[14]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
                                       
MUXCY_L muxcy16(.LO( del[16]), .CI(del[15]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy17(.LO( del[17]), .CI(del[16]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy18(.LO( del[18]), .CI(del[17]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy19(.LO( del[19]), .CI(del[18]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy20(.LO( del[20]), .CI(del[19]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy21(.LO( del[21]), .CI(del[20]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy22(.LO( del[22]), .CI(del[21]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy23(.LO( del[23]), .CI(del[22]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
                                       
MUXCY_L muxcy24(.LO( del[24]), .CI(del[23]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy25(.LO( del[25]), .CI(del[24]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy26(.LO( del[26]), .CI(del[25]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy27(.LO( del[27]), .CI(del[26]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy28(.LO( del[28]), .CI(del[27]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy29(.LO( del[29]), .CI(del[28]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy30(.LO( del[30]), .CI(del[29]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy31(.LO( del[31]), .CI(del[30]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
                                       
MUXCY_L muxcy32(.LO( del[32]), .CI(del[31]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy33(.LO( del[33]), .CI(del[32]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy34(.LO( del[34]), .CI(del[33]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy35(.LO( del[35]), .CI(del[34]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy36(.LO( del[36]), .CI(del[35]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy37(.LO( del[37]), .CI(del[36]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy38(.LO( del[38]), .CI(del[37]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy39(.LO( del[39]), .CI(del[38]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
                                       
MUXCY_L muxcy40(.LO( del[40]), .CI(del[39]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy41(.LO( del[41]), .CI(del[40]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy42(.LO( del[42]), .CI(del[41]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy43(.LO( del[43]), .CI(del[42]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy44(.LO( del[44]), .CI(del[43]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy45(.LO( del[45]), .CI(del[44]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy46(.LO( del[46]), .CI(del[45]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy47(.LO( del[47]), .CI(del[46]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
                                                                                                 
MUXCY_L muxcy48(.LO( del[48]), .CI(del[47]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy49(.LO( del[49]), .CI(del[48]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy50(.LO( del[50]), .CI(del[49]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy51(.LO( del[51]), .CI(del[50]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy52(.LO( del[52]), .CI(del[51]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy53(.LO( del[53]), .CI(del[52]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy54(.LO( del[54]), .CI(del[53]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy55(.LO( del[55]), .CI(del[54]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
                                                                                                 
MUXCY_L muxcy56(.LO( del[56]), .CI(del[55]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy57(.LO( del[57]), .CI(del[56]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy58(.LO( del[58]), .CI(del[57]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy59(.LO( del[59]), .CI(del[58]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy60(.LO( del[60]), .CI(del[59]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy61(.LO( del[61]), .CI(del[60]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy62(.LO( del[62]), .CI(del[61]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;
MUXCY_L muxcy63(.LO( del[63]), .CI(del[62]), .DI(1'b0), .S(1'b1)) /* synthesis syn_preserve=1 */ ;

XORCY_L xorcy0 (.LO(pd_D[0]), .LI(1'b1), .CI(del[0])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy1 (.LO(pd_D[1]), .LI(1'b1), .CI(del[1])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy2 (.LO(pd_D[2]), .LI(1'b1), .CI(del[2])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy3 (.LO(pd_D[3]), .LI(1'b1), .CI(del[3])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy4 (.LO(pd_D[4]), .LI(1'b1), .CI(del[4])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy5 (.LO(pd_D[5]), .LI(1'b1), .CI(del[5])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy6 (.LO(pd_D[6]), .LI(1'b1), .CI(del[6])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy7 (.LO(pd_D[7]), .LI(1'b1), .CI(del[7])) /* synthesis syn_preserve=1 */ ;

XORCY_L xorcy8  (.LO(pd_D[8 ]), .LI(1'b1), .CI(del[8 ])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy9  (.LO(pd_D[9 ]), .LI(1'b1), .CI(del[9 ])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy10 (.LO(pd_D[10]), .LI(1'b1), .CI(del[10])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy11 (.LO(pd_D[11]), .LI(1'b1), .CI(del[11])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy12 (.LO(pd_D[12]), .LI(1'b1), .CI(del[12])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy13 (.LO(pd_D[13]), .LI(1'b1), .CI(del[13])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy14 (.LO(pd_D[14]), .LI(1'b1), .CI(del[14])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy15 (.LO(pd_D[15]), .LI(1'b1), .CI(del[15])) /* synthesis syn_preserve=1 */ ;
                                                                                        
XORCY_L xorcy16 (.LO(pd_D[16]), .LI(1'b1), .CI(del[16])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy17 (.LO(pd_D[17]), .LI(1'b1), .CI(del[17])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy18 (.LO(pd_D[18]), .LI(1'b1), .CI(del[18])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy19 (.LO(pd_D[19]), .LI(1'b1), .CI(del[19])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy20 (.LO(pd_D[20]), .LI(1'b1), .CI(del[20])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy21 (.LO(pd_D[21]), .LI(1'b1), .CI(del[21])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy22 (.LO(pd_D[22]), .LI(1'b1), .CI(del[22])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy23 (.LO(pd_D[23]), .LI(1'b1), .CI(del[23])) /* synthesis syn_preserve=1 */ ;
                                                                                        
XORCY_L xorcy24 (.LO(pd_D[24]), .LI(1'b1), .CI(del[24])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy25 (.LO(pd_D[25]), .LI(1'b1), .CI(del[25])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy26 (.LO(pd_D[26]), .LI(1'b1), .CI(del[26])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy27 (.LO(pd_D[27]), .LI(1'b1), .CI(del[27])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy28 (.LO(pd_D[28]), .LI(1'b1), .CI(del[28])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy29 (.LO(pd_D[29]), .LI(1'b1), .CI(del[29])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy30 (.LO(pd_D[30]), .LI(1'b1), .CI(del[30])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy31 (.LO(pd_D[31]), .LI(1'b1), .CI(del[31])) /* synthesis syn_preserve=1 */ ;
                                                      
XORCY_L xorcy32 (.LO(pd_D[32]), .LI(1'b1), .CI(del[32])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy33 (.LO(pd_D[33]), .LI(1'b1), .CI(del[33])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy34 (.LO(pd_D[34]), .LI(1'b1), .CI(del[34])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy35 (.LO(pd_D[35]), .LI(1'b1), .CI(del[35])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy36 (.LO(pd_D[36]), .LI(1'b1), .CI(del[36])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy37 (.LO(pd_D[37]), .LI(1'b1), .CI(del[37])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy38 (.LO(pd_D[38]), .LI(1'b1), .CI(del[38])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy39 (.LO(pd_D[39]), .LI(1'b1), .CI(del[39])) /* synthesis syn_preserve=1 */ ;
                                                                                        
XORCY_L xorcy40 (.LO(pd_D[40]), .LI(1'b1), .CI(del[40])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy41 (.LO(pd_D[41]), .LI(1'b1), .CI(del[41])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy42 (.LO(pd_D[42]), .LI(1'b1), .CI(del[42])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy43 (.LO(pd_D[43]), .LI(1'b1), .CI(del[43])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy44 (.LO(pd_D[44]), .LI(1'b1), .CI(del[44])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy45 (.LO(pd_D[45]), .LI(1'b1), .CI(del[45])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy46 (.LO(pd_D[46]), .LI(1'b1), .CI(del[46])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy47 (.LO(pd_D[47]), .LI(1'b1), .CI(del[47])) /* synthesis syn_preserve=1 */ ;
                                                                                        
XORCY_L xorcy48 (.LO(pd_D[48]), .LI(1'b1), .CI(del[48])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy49 (.LO(pd_D[49]), .LI(1'b1), .CI(del[49])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy50 (.LO(pd_D[50]), .LI(1'b1), .CI(del[50])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy51 (.LO(pd_D[51]), .LI(1'b1), .CI(del[51])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy52 (.LO(pd_D[52]), .LI(1'b1), .CI(del[52])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy53 (.LO(pd_D[53]), .LI(1'b1), .CI(del[53])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy54 (.LO(pd_D[54]), .LI(1'b1), .CI(del[54])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy55 (.LO(pd_D[55]), .LI(1'b1), .CI(del[55])) /* synthesis syn_preserve=1 */ ;
                                                      
XORCY_L xorcy56 (.LO(pd_D[56]), .LI(1'b1), .CI(del[56])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy57 (.LO(pd_D[57]), .LI(1'b1), .CI(del[57])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy58 (.LO(pd_D[58]), .LI(1'b1), .CI(del[58])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy59 (.LO(pd_D[59]), .LI(1'b1), .CI(del[59])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy60 (.LO(pd_D[60]), .LI(1'b1), .CI(del[60])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy61 (.LO(pd_D[61]), .LI(1'b1), .CI(del[61])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy62 (.LO(pd_D[62]), .LI(1'b1), .CI(del[62])) /* synthesis syn_preserve=1 */ ;
XORCY_L xorcy63 (.LO(pd_D[63]), .LI(1'b1), .CI(del[63])) /* synthesis syn_preserve=1 */ ;


FDC pdreg0     ( .D(pd_D[0]), .C(clk), .CLR(reset), .Q(pd_R[0])) /* synthesis syn_preserve=1 */ ;
FDC pdreg1     ( .D(pd_D[2]), .C(clk), .CLR(reset), .Q(pd_R[1])) /* synthesis syn_preserve=1 */ ;
FDC pdreg2     ( .D(pd_D[4]), .C(clk), .CLR(reset), .Q(pd_R[2])) /* synthesis syn_preserve=1 */ ;
FDC pdreg3     ( .D(pd_D[6]), .C(clk), .CLR(reset), .Q(pd_R[3])) /* synthesis syn_preserve=1 */ ;
FDC pdreg4     ( .D(pd_D[8]), .C(clk), .CLR(reset), .Q(pd_R[4])) /* synthesis syn_preserve=1 */ ;
FDC pdreg5     ( .D(pd_D[10]), .C(clk), .CLR(reset), .Q(pd_R[5])) /* synthesis syn_preserve=1 */ ;
FDC pdreg6     ( .D(pd_D[12]), .C(clk), .CLR(reset), .Q(pd_R[6])) /* synthesis syn_preserve=1 */ ;
FDC pdreg7     ( .D(pd_D[14]), .C(clk), .CLR(reset), .Q(pd_R[7])) /* synthesis syn_preserve=1 */ ;

FDC pdreg8      ( .D(pd_D[16]), .C(clk), .CLR(reset), .Q(pd_R[8 ])) /* synthesis syn_preserve=1 */ ;
FDC pdreg9      ( .D(pd_D[18]), .C(clk), .CLR(reset), .Q(pd_R[9 ])) /* synthesis syn_preserve=1 */ ;
FDC pdreg10     ( .D(pd_D[20]), .C(clk), .CLR(reset), .Q(pd_R[10])) /* synthesis syn_preserve=1 */ ;
FDC pdreg11     ( .D(pd_D[22]), .C(clk), .CLR(reset), .Q(pd_R[11])) /* synthesis syn_preserve=1 */ ;
FDC pdreg12     ( .D(pd_D[24]), .C(clk), .CLR(reset), .Q(pd_R[12])) /* synthesis syn_preserve=1 */ ;
FDC pdreg13     ( .D(pd_D[26]), .C(clk), .CLR(reset), .Q(pd_R[13])) /* synthesis syn_preserve=1 */ ;
FDC pdreg14     ( .D(pd_D[28]), .C(clk), .CLR(reset), .Q(pd_R[14])) /* synthesis syn_preserve=1 */ ;
FDC pdreg15     ( .D(pd_D[28]), .C(clk), .CLR(reset), .Q(pd_R[15])) /* synthesis syn_preserve=1 */ ;

FDC drreg0     ( .D(pd_D[30]), .C(~clk), .CLR(reset), .Q(data_R[0]));
FDC drreg1     ( .D(pd_D[31]), .C(~clk), .CLR(reset), .Q(data_R[1]));
                                                                
FDC pdreg16     ( .D(pd_D[32]), .C(clk), .CLR(reset), .Q(pd_R[16])) /* synthesis syn_preserve=1 */ ;
FDC pdreg17     ( .D(pd_D[34]), .C(clk), .CLR(reset), .Q(pd_R[17])) /* synthesis syn_preserve=1 */ ;
FDC pdreg18     ( .D(pd_D[36]), .C(clk), .CLR(reset), .Q(pd_R[18])) /* synthesis syn_preserve=1 */ ;
FDC pdreg19     ( .D(pd_D[38]), .C(clk), .CLR(reset), .Q(pd_R[19])) /* synthesis syn_preserve=1 */ ;
FDC pdreg20     ( .D(pd_D[40]), .C(clk), .CLR(reset), .Q(pd_R[20])) /* synthesis syn_preserve=1 */ ;
FDC pdreg21     ( .D(pd_D[42]), .C(clk), .CLR(reset), .Q(pd_R[21])) /* synthesis syn_preserve=1 */ ;
FDC pdreg22     ( .D(pd_D[44]), .C(clk), .CLR(reset), .Q(pd_R[22])) /* synthesis syn_preserve=1 */ ;
FDC pdreg23     ( .D(pd_D[46]), .C(clk), .CLR(reset), .Q(pd_R[23])) /* synthesis syn_preserve=1 */ ;
                                                                
FDC pdreg24     ( .D(pd_D[48]), .C(clk), .CLR(reset), .Q(pd_R[24])) /* synthesis syn_preserve=1 */ ;
FDC pdreg25     ( .D(pd_D[50]), .C(clk), .CLR(reset), .Q(pd_R[25])) /* synthesis syn_preserve=1 */ ;
FDC pdreg26     ( .D(pd_D[52]), .C(clk), .CLR(reset), .Q(pd_R[26])) /* synthesis syn_preserve=1 */ ;
FDC pdreg27     ( .D(pd_D[54]), .C(clk), .CLR(reset), .Q(pd_R[27])) /* synthesis syn_preserve=1 */ ;
FDC pdreg28     ( .D(pd_D[56]), .C(clk), .CLR(reset), .Q(pd_R[28])) /* synthesis syn_preserve=1 */ ;
FDC pdreg29     ( .D(pd_D[58]), .C(clk), .CLR(reset), .Q(pd_R[29])) /* synthesis syn_preserve=1 */ ;
FDC pdreg30     ( .D(pd_D[60]), .C(clk), .CLR(reset), .Q(pd_R[30])) /* synthesis syn_preserve=1 */ ;
FDC pdreg31     ( .D(pd_D[62]), .C(clk), .CLR(reset), .Q(pd_R[31])) /* synthesis syn_preserve=1 */ ;


assign  out = pd_R;
assign  data = {~data_R[1],~data_R[0]};


endmodule
